%define new_release 7
%define upstream_version 84.3
%global codename sphericalcow
# Package is only arch specific due to missing deps on arm
# Debuginfo package is useless.
%global debug_package %{nil}

Name:       anolis-logos
Version:    8.0
Release:    %{new_release}%{?dist}
Summary:    Anolis OS related icons and pictures

Group:      System Environment/Base
URL:        https://openanolis.org/
Source0:    anolis-logos-%{version}.tar.gz
License:    Licensed only for approved usage, see COPYING for details.

Patch0001: 0001-change-override-backgrounds.patch

Provides:   system-logos = %{version}-%{release}
Provides:   system-logos = %{upstream_version}
Provides:   centos-logos = %{upstream_version}
Provides:   redhat-logos = %{upstream_version}
Provides:   anolis-release = %{version}-%{release}
Obsoletes:  centos-logos
Obsoletes:  redhat-logos
Obsoletes:  anolis_release

# For splashtolss.sh
%ifarch x86_64 i686
BuildRequires: netpbm-progs
%endif
Requires(post): coreutils
BuildRequires: hardlink

%description
Licensed only for approved usage, see COPYING for details.

%package httpd
Summary: Anolis OS related icons and pictures used by httpd
Provides: system-logos-httpd = %{version}-%{release}
Provides: system-logos-httpd = %{upstream_version}
Provides: redhat-logos-httpd = %{upstream_version}
Provides: centos-logos-httpd = %{upstream_version}
Obsoletes: redhat-logos-httpd
Obsoletes: centos-logos-httpd
BuildArch: noarch

%description httpd
Licensed only for approved usage, see COPYING for details.

%package ipa
Summary: Anolis OS related icons and pictures used by ipa
Provides: system-logos-ipa = %{version}-%{release}
Provides: system-logos-ipa = %{upstream_version}
Provides: redhat-logos-ipa = %{upstream_version}
Provides: centos-logos-ipa = %{upstream_version}
Obsoletes: redhat-logos-ipa
Obsoletes: centos-logos-ipa
BuildArch: noarch

%description ipa
Licensed only for approved usage, see COPYING for details.

%package -n anolis-backgrounds
Summary: Anolis OS related desktop backgrounds
BuildArch: noarch

Provides:  system-backgrounds = %{version}-%{release}
Provides:  system-backgrounds = %{upstream_version}
Provides:  redhat-backgrounds = %{upstream_version}
Provides:  centos-backgrounds = %{upstream_version}
Obsoletes: redhat-backgrounds
Obsoletes: centos-backgrounds

Requires:  anolis-logos = %{version}-%{release}
Obsoletes: redhat-logos
Obsoletes: centos-logos


%description -n anolis-backgrounds
Licensed only for approved usage, see COPYING for details.


%prep
%setup -q

%patch0001 -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/backgrounds/
for i in backgrounds/*.jpg backgrounds/*.xml; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/backgrounds/
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas
install -p -m 644 backgrounds/10_org.gnome.desktop.background.default.gschema.override $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas
install -p -m 644 backgrounds/10_org.gnome.desktop.screensaver.default.gschema.override $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/
install -p -m 644 backgrounds/desktop-backgrounds-default.xml $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/firstboot/themes/fedora-%{codename}/
for i in firstboot/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/firstboot/themes/fedora-%{codename}/
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
for i in pixmaps/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge
for i in plymouth/charge/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge
done

for size in 16x16 22x22 24x24 32x32 36x36 48x48 96x96 256x256 ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
  for i in icons/hicolor/$size/apps/* ; do
    install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
  done
done

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
pushd $RPM_BUILD_ROOT%{_sysconfdir}
ln -s %{_datadir}/icons/hicolor/16x16/apps/fedora-logo-icon.png favicon.png
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
#install -p -m 644 icons/hicolor/scalable/apps/xfce4_xicon1.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 icons/hicolor/scalable/apps/fedora-logo-icon.svg $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/start-here.svg

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/places/
pushd $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/places/
ln -s ../apps/start-here.svg .
popd

(cd anaconda; make DESTDIR=$RPM_BUILD_ROOT install)

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/redhat-logos
#cp -a fedora/*.svg $RPM_BUILD_ROOT%{_datadir}/redhat-logos

mkdir -p $RPM_BUILD_ROOT%{_datadir}/ipa/ui/images
cp -a ipa/*.png $RPM_BUILD_ROOT%{_datadir}/ipa/ui/images
cp -a ipa/*.jpg $RPM_BUILD_ROOT%{_datadir}/ipa/ui/images

# save some dup'd icons
# Except in /boot. Because some people think it is fun to use VFAT for /boot.
/usr/sbin/hardlink -v %{buildroot}/usr

%ifnarch x86_64 i686
rm -f $RPM_BUILD_ROOT%{_datadir}/anaconda/boot/splash.lss
%endif

%post
touch --no-create %{_datadir}/icons/hicolor || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license COPYING
%config(noreplace) %{_sysconfdir}/favicon.png
%{_datadir}/glib-2.0/schemas/*.override
%{_datadir}/firstboot/themes/fedora-%{codename}/
%{_datadir}/plymouth/themes/charge/

%{_datadir}/pixmaps/*
%exclude %{_datadir}/pixmaps/poweredby.png
%{_datadir}/anaconda/pixmaps/*
%ifarch x86_64 i686
%{_datadir}/anaconda/boot/splash.lss
%endif
%{_datadir}/anaconda/boot/syslinux-splash.png
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/places/*
#%%{_datadir}/redhat-logos/

# we multi-own these directories, so as not to require the packages that
# provide them, thereby dragging in excess dependencies.
%dir %{_datadir}/backgrounds
%dir %{_datadir}/icons/hicolor/
%dir %{_datadir}/icons/hicolor/16x16/
%dir %{_datadir}/icons/hicolor/16x16/apps/
%dir %{_datadir}/icons/hicolor/22x22/
%dir %{_datadir}/icons/hicolor/22x22/apps/
%dir %{_datadir}/icons/hicolor/24x24/
%dir %{_datadir}/icons/hicolor/24x24/apps/
%dir %{_datadir}/icons/hicolor/32x32/
%dir %{_datadir}/icons/hicolor/32x32/apps/
%dir %{_datadir}/icons/hicolor/36x36/
%dir %{_datadir}/icons/hicolor/36x36/apps/
%dir %{_datadir}/icons/hicolor/48x48/
%dir %{_datadir}/icons/hicolor/48x48/apps/
%dir %{_datadir}/icons/hicolor/96x96/
%dir %{_datadir}/icons/hicolor/96x96/apps/
%dir %{_datadir}/icons/hicolor/256x256/
%dir %{_datadir}/icons/hicolor/256x256/apps/
%dir %{_datadir}/icons/hicolor/scalable/
%%dir %{_datadir}/icons/hicolor/scalable/apps/
%dir %{_datadir}/icons/hicolor/scalable/places/
%dir %{_datadir}/anaconda
%dir %{_datadir}/anaconda/boot/
%dir %{_datadir}/anaconda/pixmaps
%dir %{_datadir}/firstboot/
%dir %{_datadir}/firstboot/themes/
%dir %{_datadir}/plymouth/
%dir %{_datadir}/plymouth/themes/

%files httpd
%license COPYING
%{_datadir}/pixmaps/poweredby.png

%files ipa
%license COPYING
%{_datadir}/ipa/ui/images/*
# we multi-own these directories, so as not to require the packages that
# provide them, thereby dragging in excess dependencies.
%dir %{_datadir}/ipa
%dir %{_datadir}/ipa/ui
%dir %{_datadir}/ipa/ui/images

%files -n anolis-backgrounds
%license COPYING
%{_datadir}/backgrounds/*
%{_datadir}/gnome-background-properties/*


%changelog
* Tue Jan 31 2023 anrel@alibaba.com - 8.0-7.bs
- Update logo 

* Wed Sep 29 2021 Lilinjie <lilinjie@uniontech.com> - 8.0-7
- Regenerate start-here.svg 

* Sat Jul 31 2021 Liwei Ge <geliwei@openanolis.org> - 8.0-6
- Make compatible for upstream version

* Fri Jul 30 2021 Liwei Ge <geliwei@openanolis.org> - 8.0-5
- Obsoletes centos-logos and redhat-logos

* Fri May 07 2021 yangxiaoxuan <yangxiaoxuan@openanolis.org> - 8.0-4
- Modify anaconda background image size 
- sidebar-bg.png  topbar-bg.png 

* Wed Apr 28 2021 yangxiaoxuan <yangxiaoxuan@openanolis.org> - 8.0-3
- Add taskbar icon 

* Tue Apr 13 2021 Liwei Ge <geliwei@openanolis.org> - 8.0-2
- Set override backgrounds

* Tue Jan 19 2021 Liwei Ge <geliwei@openanolis.org> - 8.0-1
- Init version for Anolis OS
